function [ beta, RSS, df, AIC, BIC ] = RidgeRegression ( X,y,ramda )
	n=rows(X);
	p=columns(X);
        m=columns(y);
        RSS=zeros(m,1);
        AIC=zeros(m,1);
        BIC=zeros(m,1);

        beta=inv(X'*X+ramda*eye(p,p))*X'*y;
	df=trace(X*inv(X'*X+ramda*eye(p,p))*X');

        for i=1:m
		 RSS(m,1)=sum((y(:,m)-X*beta(:,m)).^2);        	 
		 AIC(m,1)=RSS(m,1)/n+2*df;
		 BIC(m,1)=RSS(m,1)/n+log(n)*df;
	end
endfunction
